
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'FuturaPT-light', sans-serif; 
    /* scroll-behavior: smooth; */

}

.contact{
    position: relative;
    min-height: 100vh;
    width: 90%;
    margin: 80px auto 50px auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    scroll-snap-align: start;
    
    /* background: url(Contatct-bg.jpg);
    background-size: cover; */
}

.contact .content{
max-width: 800px;
text-align: center;
    
}

.contact .content h1{
    font-family: 'FuturaPT-Book', sans-serif; 
    font-weight: 100;
    margin: 30px 0 30px 0;

    font-size: 40px;
    font-weight: 500;
    color: #333;

    
}

.contact .content p{
    font-weight: 300;
    color: #fff;
}


/*!----------- Map container start----------------- */
/** Map Settings Star */

.Mapwrapper{ 
      
    position: relative;
    display: flex;
    /* background-color: rgb(40, 19, 199); */
    width: 100%;
    min-height: 300px;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    
}


/**----------- Map Settings end----------------- */


/*? Map go button */

.map-button {
    position: absolute;
    left: 15px;
    top: 15px;


    text-decoration: none;
    line-height: 1;
    /* border-radius: 0.5rem; */
    overflow: hidden;
    
    width: 150px;
    
    background-color:#e8e8e8;
    color: #121212;
    border: none;
    cursor: pointer;
    box-shadow: 0px 0px 8px 1px rgba(104,174,179,0.8);
    border: solid 1px #ffffff;
   
}

  
  .map-button-decor {
    position: absolute;
    inset: 0;
    background-color:rgba(74,138,169);
    transform: translateX(-100%);
    transition: transform .3s;
    z-index: 0;
  }
  
  .map-button-content {
    display: flex;
    align-items: center;
    font-weight: 600;
    position: relative;
    overflow: hidden;
  }
  
  .map-button__icon {
    width: 48px;
    height: 40px;
    background-color: rgba(74,138,169);
    display: grid;
    place-items: center;
  }
  
  .map-button__text {
    display: inline-block;
    transition: color .2s;
    padding: 2px 1.5rem 2px;
    padding-left: .75rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: 150px;
    color: #666;
    flex-grow: 1;
  }
  
  .map-button:hover .map-button__text {
    color: #fff;
    text-decoration-line: none;
  }
  
  
  
  .map-button:hover .map-button__icon  i{
    transform: rotate(45deg);
    transition: transform .3s;
  }
  
  
  .map-button:hover .map-button-decor {
    transform: translate(0);
    transition: transform .3s;
  }
  
  
  .map-button:active {
      
      box-shadow: inset 4px 4px 12px #c5c5c5, inset -4px -4px 12px #ffffff;
     
   }
  

  
  
  
  /*? Map go button end */
/*!----------- Map container end----------------- */








/*? Contact Area Start */
.contactcontainer{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
    position: relative;
}



/*! Contact info area */

.contactcontainer .contactinfo {
    width: 50%;
    display: flex;
    flex-direction: column;
   
    /* background: rgba(0,0,0,0.5); */
}

.contactcontainer .contactinfo .contactlogo{
display: flex;
align-items: center;   
width: 200px;
height: 100px;
position: relative;
flex-shrink: 0;
}

.contactlogo img{ 
    position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
object-fit: contain;
}


.contactcontainer .contactinfo .box{
    position: relative;
    padding: 20px 0;
    display: flex;
}

.contactcontainer .contactinfo .box .icon{
    min-width: 60px;
    height: 60px;
    /* background: #fff; */
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 22px;
    border: solid 1px #333;

}

.contactcontainer .contactinfo .box .text{

    display: flex;
    margin-left: 20px;
    font-size: 16px;
    color: #333;
    flex-direction: column;
    font-weight: 300;
}

.contactcontainer .contactinfo .box .text h3{
    font-weight: 500;
    color: rgba(74,138,169);
}

.contactcontainer .contactinfo .box .text p a{
    text-decoration: none;
    color: #333;
    font-size: 18px;

}

/** Contact form area */

.contactForm{ 
    width: 40%;
    padding: 30px 0 30px 30px;
    /* background: #fff; */
    border-radius: 20px;
    position: relative;
    z-index: 1;

}

.contactForm::before{ 
    content: ""; 
    position: absolute;
    left: 0;
    bottom: 0;
    background: #333; 
    width: 0.5px;
    height: 100%;
    display: block;
    transform: translateX(-25px);
    
}

.contactForm h2{ 
    font-size: 30px;
    font-weight: 500;
    color: #333;
    font-weight: bold;
}


.contactForm p{ 
    font-weight: 300;
    color: #333;
    padding: 15px 0 5px 0;
}



.contactForm .inputBox{
    position: relative;
    width: 100%;
    margin-top: 10px;
    
}

.contactForm .inputBox input,
.contactForm .inputBox textarea{
 width: 100%;
 padding: 5px 0;
 font-size: 16px; 
 margin: 10px 0; 
 border: none;
 background: none;
 outline: none;
 resize: none;
}

.contactForm .bb2 input,
.contactForm .bb2 textarea{


    
    border-bottom: 1px solid #333;
}



.contactForm .inputBox span{
    position: absolute;
    left: 0;
    padding: 5px 0;
 font-size: 16px;
 margin: 10px 0;
 pointer-events: none;
 transition: 0.5s;
 color: #666;
}

.contactForm .inputBox input:focus ~ span,
.contactForm .inputBox textarea:focus ~ span{
color: #e91e63;
font-size: 12px;
transform: translateY(-20px);
}


.contactForm .inputBox input:valid ~ span,
.contactForm .inputBox textarea:valid ~ span {
color: #12b936;
font-size: 12px;
transform: translateY(-20px);

}







.contactForm .inputBox .sendbutton{
position: relative;
width: 150px;
margin: 10px;
height: 45px;
border: solid 0.5px #333;
cursor: pointer;
background: none;

}

.contactForm .inputBox .sendbutton:after {
    content: " ";
    width: 0;
    height: 100%;
    background: rgba(74, 138, 169);
    position: absolute;
    transition: all 0.4s ease-in-out;
    right: 0;    
    z-index: -1;
    top: 0;
    
  }




  .contactForm .inputBox .sendbutton:hover::after {
    content: "";
    right: auto;
    left: 0;
    width: 100%;
    cursor: pointer;
    
  }
  
  


.contactForm .inputBox input[type="submit"]{
    position:absolute;
    width: 100%;
    color: #333;
    left: 0;
    padding: 0px;
    margin: 0;
    font-size: 18px;
    height: 100%;
    background: none;
    top: 0;
    cursor: pointer; 
    /* transition: 0.1s linear 0.2s; */

}

.contactForm .inputBox .sendbutton:hover input[type="submit"]{
    color: #ffffff;
  }

  





.contactForm .inputBox .sendbutton .senticon{
    position: absolute;
    font-size: 20px; 
    color: #333;
    text-align: center;
    left: 10px;
    top: 50%;
    transform: translateY(-10px);
    
    }
    
    .contactForm .inputBox .sendbutton:hover .senticon{
        color: #ffffff;
      }



@media(max-width:991px)
{
.contact{
    padding: 50px;
}
.contactcontainer{
    flex-direction: column;
}

.contactcontainer .contactinfo{
    margin: 40px;
}

.contactcontainer .contactinfo,
.contactForm{
   width: 100%;
}

.contactForm::before{ 
    content: ""; 
    position: absolute;
    left: 0;
    top: 0;
    background: #333; 
    height: 0.5px;
    width: 100%;
    display: block;
    transform: translateY(-25px);
    
}



}

/*? Contact Area Start */


/*! Mail sendet*/

.alert{
  


    opacity: 0;

    transition: opacity 1s ease-in-out;
    position: relative;
    padding: .75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: .25rem;



}

.alert-success{
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
}




.alert-danger{
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    
    }

   /* ---- tsparticles container ---- */
#tsparticles {
    position:absolute;
    width: 100%;
    height: 100%;
   background: none;
    
  }
   